Fields
Favorite
Sets or clears the favorite flag on one field, leaving the rest of the field definition untouched.
PUT
/api/{tenant:minlength(2)}/v{version:apiVersion}/fields/favorite/{id}
- Authorisation
- Minimum role: ADMIN
Request arguments
Request body example
Response
- Status
- 200 (OK)
- Type
- DTO_field
- Wrapper
- DTO_response_wrap
- Other statuses
- 400 (BadRequest), 403 (Forbidden)
Response body example
| Name | Type | ReadOnly | Description |
| favorite | Boolean | | Favorite |
DTO_field
| Name | Type | ReadOnly | Description |
| multi_option | DTO_field_multi_option | | Used only when field type supports selection |
| created_by | DTO_reference_user | ReadOnly | Created by |
| last_updated_by | DTO_reference_user | ReadOnly | Last updated by |
| id | Int32 | ReadOnly | Leave empty when Creating object |
| label | String | | Label |
| unique_key | String | | Unique key |
| data_type | ENUM field_data_type | | Data type |
| type | ENUM field_type | | Type |
| validation_regex | String | | RegEx pattern for client side validation |
| validation_error_message | String | | Client side validation message if RexEx fails |
| icon_id | Int32 | | Icon id |
| icon_file | String | | Icon file |
| created | DateTime | ReadOnly | Created |
| last_updated | DateTime | ReadOnly | Last updated |
| min_value | Double (nullable) | | Used for Integers, Doubles, DateTimes (UnixTimeStamp) |
| max_value | Double (nullable) | | Used for Integers, Doubles, DateTimes (UnixTimeStamp) |
| favorite | Boolean | | Favorite |
| allow_in_external_forms | Boolean | | Allow in external forms |
DTO_reference
| Name | Type | ReadOnly | Description |
| id | Int32 | | The id of the reference |
| label | Object | ReadOnly | Name/Label from referenced object. |
DTO_reference_user
| Name | Type | ReadOnly | Description |
| profile_pic | String | ReadOnly | Profile pic |
| email | String | ReadOnly | Email |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
ENUM field_multi_option_type
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | BASIC | BASIC |
| 2 | LIST | LIST |
| 3 | IMAGE | IMAGE |
ENUM field_data_type
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | STRING | Text |
| 2 | MULTI_LINE_STRING | Text (multi-line) |
| 3 | DATE_TIME | Date and time |
| 4 | DATE_NO_TIME | Date |
| 5 | DOUBLE | Number (decimal) |
| 6 | INT | Number (int) |
| 7 | LONG | Number (long) |
| 8 | BOOL | On / Off |
| 9 | EMAIL | Text (email) |
| 10 | PHONE | Text (phone) |
| 11 | PICK_ONE | Pick one |
| 12 | PICK_MANY | Pick many |
| 13 | IMAGE | Image |
| 14 | RICH_TEXT | Text (rich editor) |
| 15 | FILES | Files |
| 16 | COLOR | Color |
| -1 | INTERNAL_ENUM | INTERNAL_ENUM |
ENUM field_type
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | CUSTOM | CUSTOM |
| 2 | SYS_LABEL | SYS_LABEL |
| 3 | SYS_NAME | SYS_NAME |
| 4 | SYS_EMAIL | SYS_EMAIL |
| 7 | SYS_SUBJECT | SYS_SUBJECT |
| 8 | SYS_CONTENT_PLAIN | SYS_CONTENT_PLAIN |
| 9 | SYS_STATUS | SYS_STATUS |
| 10 | SYS_PRIORITY | SYS_PRIORITY |
| 11 | SYS_CONTENT_RICH | SYS_CONTENT_RICH |
| 12 | SYS_ATTACHMENTS | SYS_ATTACHMENTS |
| 13 | SYS_CONTENT_RICH_DRAFT | SYS_CONTENT_RICH_DRAFT |
| 14 | SYS_TAGS | SYS_TAGS |
| 15 | SYS_IMPORT_REF | SYS_IMPORT_REF |
| 16 | SYS_COLOR_BG | SYS_COLOR_BG |
| 17 | SYS_COLOR_TEXT | SYS_COLOR_TEXT |
| 18 | SYS_SUBMITTED_FROM | SYS_SUBMITTED_FROM |
Generated Aug 4, 2026 18:37